# Class NetworkEnvelope

#### Hierarchy

- unknown
  - NetworkEnvelope

- Defined in src/protobuf/pb_pb.d.ts:5
- Defined in src/protobuf/pb_pb.d.ts:209

#####
Index

### Constructors

constructor

### Methods

clearAckMessage
clearAddDataMessage
clearAddPersistableNetworkPayloadMessage
clearBundleOfEnvelopes
clearChatMessage
clearCloseConnectionMessage
clearDepositRequest
clearDepositResponse
clearDepositsConfirmedMessage
clearDisputeClosedMessage
clearDisputeOpenedMessage
clearFileTransferPart
clearGetDataResponse
clearGetInventoryRequest
clearGetInventoryResponse
clearGetPeersRequest
clearGetPeersResponse
clearGetUpdatedDataRequest
clearInitMultisigRequest
clearInitTradeRequest
clearMediatedPayoutTxPublishedMessage
clearMediatedPayoutTxSignatureMessage
clearOfferAvailabilityRequest
clearOfferAvailabilityResponse
clearPaymentReceivedMessage
clearPaymentSentMessage
clearPing
clearPong
clearPrefixedSealedAndSignedMessage
clearPreliminaryGetDataRequest
clearPrivateNotificationMessage
clearRefreshOfferMessage
clearRemoveDataMessage
clearRemoveMailboxDataMessage
clearSignContractRequest
clearSignContractResponse
clearSignOfferRequest
clearSignOfferResponse
getAckMessage
getAddDataMessage
getAddPersistableNetworkPayloadMessage
getBundleOfEnvelopes
getChatMessage
getCloseConnectionMessage
getDepositRequest
getDepositResponse
getDepositsConfirmedMessage
getDisputeClosedMessage
getDisputeOpenedMessage
getFileTransferPart
getGetDataResponse
getGetInventoryRequest
getGetInventoryResponse
getGetPeersRequest
getGetPeersResponse
getGetUpdatedDataRequest
getInitMultisigRequest
getInitTradeRequest
getMediatedPayoutTxPublishedMessage
getMediatedPayoutTxSignatureMessage
getMessageCase
getMessageVersion
getOfferAvailabilityRequest
getOfferAvailabilityResponse
getPaymentReceivedMessage
getPaymentSentMessage
getPing
getPong
getPrefixedSealedAndSignedMessage
getPreliminaryGetDataRequest
getPrivateNotificationMessage
getRefreshOfferMessage
getRemoveDataMessage
getRemoveMailboxDataMessage
getSignContractRequest
getSignContractResponse
getSignOfferRequest
getSignOfferResponse
hasAckMessage
hasAddDataMessage
hasAddPersistableNetworkPayloadMessage
hasBundleOfEnvelopes
hasChatMessage
hasCloseConnectionMessage
hasDepositRequest
hasDepositResponse
hasDepositsConfirmedMessage
hasDisputeClosedMessage
hasDisputeOpenedMessage
hasFileTransferPart
hasGetDataResponse
hasGetInventoryRequest
hasGetInventoryResponse
hasGetPeersRequest
hasGetPeersResponse
hasGetUpdatedDataRequest
hasInitMultisigRequest
hasInitTradeRequest
hasMediatedPayoutTxPublishedMessage
hasMediatedPayoutTxSignatureMessage
hasOfferAvailabilityRequest
hasOfferAvailabilityResponse
hasPaymentReceivedMessage
hasPaymentSentMessage
hasPing
hasPong
hasPrefixedSealedAndSignedMessage
hasPreliminaryGetDataRequest
hasPrivateNotificationMessage
hasRefreshOfferMessage
hasRemoveDataMessage
hasRemoveMailboxDataMessage
hasSignContractRequest
hasSignContractResponse
hasSignOfferRequest
hasSignOfferResponse
serializeBinary
setAckMessage
setAddDataMessage
setAddPersistableNetworkPayloadMessage
setBundleOfEnvelopes
setChatMessage
setCloseConnectionMessage
setDepositRequest
setDepositResponse
setDepositsConfirmedMessage
setDisputeClosedMessage
setDisputeOpenedMessage
setFileTransferPart
setGetDataResponse
setGetInventoryRequest
setGetInventoryResponse
setGetPeersRequest
setGetPeersResponse
setGetUpdatedDataRequest
setInitMultisigRequest
setInitTradeRequest
setMediatedPayoutTxPublishedMessage
setMediatedPayoutTxSignatureMessage
setMessageVersion
setOfferAvailabilityRequest
setOfferAvailabilityResponse
setPaymentReceivedMessage
setPaymentSentMessage
setPing
setPong
setPrefixedSealedAndSignedMessage
setPreliminaryGetDataRequest
setPrivateNotificationMessage
setRefreshOfferMessage
setRemoveDataMessage
setRemoveMailboxDataMessage
setSignContractRequest
setSignContractResponse
setSignOfferRequest
setSignOfferResponse
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new NetworkEnvelope(): NetworkEnvelope

- #### Returns NetworkEnvelope

  Inherited from jspb.Message.constructor

## Methods

### clearAckMessage

- clearAckMessage(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:97

### clearAddDataMessage

- clearAddDataMessage(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:62

### clearAddPersistableNetworkPayloadMessage

- clearAddPersistableNetworkPayloadMessage(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:92

### clearBundleOfEnvelopes

- clearBundleOfEnvelopes(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:102

### clearChatMessage

- clearChatMessage(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:182

### clearCloseConnectionMessage

- clearCloseConnectionMessage(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:77

### clearDepositRequest

- clearDepositRequest(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:147

### clearDepositResponse

- clearDepositResponse(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:152

### clearDepositsConfirmedMessage

- clearDepositsConfirmedMessage(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:157

### clearDisputeClosedMessage

- clearDisputeClosedMessage(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:177

### clearDisputeOpenedMessage

- clearDisputeOpenedMessage(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:172

### clearFileTransferPart

- clearFileTransferPart(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:197

### clearGetDataResponse

- clearGetDataResponse(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:17

### clearGetInventoryRequest

- clearGetInventoryRequest(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:107

### clearGetInventoryResponse

- clearGetInventoryResponse(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:112

### clearGetPeersRequest

- clearGetPeersRequest(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:27

### clearGetPeersResponse

- clearGetPeersResponse(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:32

### clearGetUpdatedDataRequest

- clearGetUpdatedDataRequest(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:22

### clearInitMultisigRequest

- clearInitMultisigRequest(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:132

### clearInitTradeRequest

- clearInitTradeRequest(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:127

### clearMediatedPayoutTxPublishedMessage

- clearMediatedPayoutTxPublishedMessage(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:192

### clearMediatedPayoutTxSignatureMessage

- clearMediatedPayoutTxSignatureMessage(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:187

### clearOfferAvailabilityRequest

- clearOfferAvailabilityRequest(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:47

### clearOfferAvailabilityResponse

- clearOfferAvailabilityResponse(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:52

### clearPaymentReceivedMessage

- clearPaymentReceivedMessage(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:167

### clearPaymentSentMessage

- clearPaymentSentMessage(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:162

### clearPing

- clearPing(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:37

### clearPong

- clearPong(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:42

### clearPrefixedSealedAndSignedMessage

- clearPrefixedSealedAndSignedMessage(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:82

### clearPreliminaryGetDataRequest

- clearPreliminaryGetDataRequest(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:12

### clearPrivateNotificationMessage

- clearPrivateNotificationMessage(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:87

### clearRefreshOfferMessage

- clearRefreshOfferMessage(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:57

### clearRemoveDataMessage

- clearRemoveDataMessage(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:67

### clearRemoveMailboxDataMessage

- clearRemoveMailboxDataMessage(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:72

### clearSignContractRequest

- clearSignContractRequest(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:137

### clearSignContractResponse

- clearSignContractResponse(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:142

### clearSignOfferRequest

- clearSignOfferRequest(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:117

### clearSignOfferResponse

- clearSignOfferResponse(): NetworkEnvelope

- #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:122

### getAckMessage

- getAckMessage(): undefined | AckMessage

- #### Returns undefined | AckMessage

  - Defined in src/protobuf/pb_pb.d.ts:94

### getAddDataMessage

- getAddDataMessage(): undefined | AddDataMessage

- #### Returns undefined | AddDataMessage

  - Defined in src/protobuf/pb_pb.d.ts:59

### getAddPersistableNetworkPayloadMessage

- getAddPersistableNetworkPayloadMessage(): undefined | AddPersistableNetworkPayloadMessage

- #### Returns undefined | AddPersistableNetworkPayloadMessage

  - Defined in src/protobuf/pb_pb.d.ts:89

### getBundleOfEnvelopes

- getBundleOfEnvelopes(): undefined | BundleOfEnvelopes

- #### Returns undefined | BundleOfEnvelopes

  - Defined in src/protobuf/pb_pb.d.ts:99

### getChatMessage

- getChatMessage(): undefined | ChatMessage

- #### Returns undefined | ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:179

### getCloseConnectionMessage

- getCloseConnectionMessage(): undefined | CloseConnectionMessage

- #### Returns undefined | CloseConnectionMessage

  - Defined in src/protobuf/pb_pb.d.ts:74

### getDepositRequest

- getDepositRequest(): undefined | DepositRequest

- #### Returns undefined | DepositRequest

  - Defined in src/protobuf/pb_pb.d.ts:144

### getDepositResponse

- getDepositResponse(): undefined | DepositResponse

- #### Returns undefined | DepositResponse

  - Defined in src/protobuf/pb_pb.d.ts:149

### getDepositsConfirmedMessage

- getDepositsConfirmedMessage(): undefined | DepositsConfirmedMessage

- #### Returns undefined | DepositsConfirmedMessage

  - Defined in src/protobuf/pb_pb.d.ts:154

### getDisputeClosedMessage

- getDisputeClosedMessage(): undefined | DisputeClosedMessage

- #### Returns undefined | DisputeClosedMessage

  - Defined in src/protobuf/pb_pb.d.ts:174

### getDisputeOpenedMessage

- getDisputeOpenedMessage(): undefined | DisputeOpenedMessage

- #### Returns undefined | DisputeOpenedMessage

  - Defined in src/protobuf/pb_pb.d.ts:169

### getFileTransferPart

- getFileTransferPart(): undefined | FileTransferPart

- #### Returns undefined | FileTransferPart

  - Defined in src/protobuf/pb_pb.d.ts:194

### getGetDataResponse

- getGetDataResponse(): undefined | GetDataResponse

- #### Returns undefined | GetDataResponse

  - Defined in src/protobuf/pb_pb.d.ts:14

### getGetInventoryRequest

- getGetInventoryRequest(): undefined | GetInventoryRequest

- #### Returns undefined | GetInventoryRequest

  - Defined in src/protobuf/pb_pb.d.ts:104

### getGetInventoryResponse

- getGetInventoryResponse(): undefined | GetInventoryResponse

- #### Returns undefined | GetInventoryResponse

  - Defined in src/protobuf/pb_pb.d.ts:109

### getGetPeersRequest

- getGetPeersRequest(): undefined | GetPeersRequest

- #### Returns undefined | GetPeersRequest

  - Defined in src/protobuf/pb_pb.d.ts:24

### getGetPeersResponse

- getGetPeersResponse(): undefined | GetPeersResponse

- #### Returns undefined | GetPeersResponse

  - Defined in src/protobuf/pb_pb.d.ts:29

### getGetUpdatedDataRequest

- getGetUpdatedDataRequest(): undefined | GetUpdatedDataRequest

- #### Returns undefined | GetUpdatedDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:19

### getInitMultisigRequest

- getInitMultisigRequest(): undefined | InitMultisigRequest

- #### Returns undefined | InitMultisigRequest

  - Defined in src/protobuf/pb_pb.d.ts:129

### getInitTradeRequest

- getInitTradeRequest(): undefined | InitTradeRequest

- #### Returns undefined | InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:124

### getMediatedPayoutTxPublishedMessage

- getMediatedPayoutTxPublishedMessage(): undefined | MediatedPayoutTxPublishedMessage

- #### Returns undefined | MediatedPayoutTxPublishedMessage

  - Defined in src/protobuf/pb_pb.d.ts:189

### getMediatedPayoutTxSignatureMessage

- getMediatedPayoutTxSignatureMessage(): undefined | MediatedPayoutTxSignatureMessage

- #### Returns undefined | MediatedPayoutTxSignatureMessage

  - Defined in src/protobuf/pb_pb.d.ts:184

### getMessageCase

- getMessageCase(): NetworkEnvelope.MessageCase

- #### Returns NetworkEnvelope.MessageCase

  - Defined in src/protobuf/pb_pb.d.ts:199

### getMessageVersion

- getMessageVersion(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6

### getOfferAvailabilityRequest

- getOfferAvailabilityRequest(): undefined | OfferAvailabilityRequest

- #### Returns undefined | OfferAvailabilityRequest

  - Defined in src/protobuf/pb_pb.d.ts:44

### getOfferAvailabilityResponse

- getOfferAvailabilityResponse(): undefined | OfferAvailabilityResponse

- #### Returns undefined | OfferAvailabilityResponse

  - Defined in src/protobuf/pb_pb.d.ts:49

### getPaymentReceivedMessage

- getPaymentReceivedMessage(): undefined | PaymentReceivedMessage

- #### Returns undefined | PaymentReceivedMessage

  - Defined in src/protobuf/pb_pb.d.ts:164

### getPaymentSentMessage

- getPaymentSentMessage(): undefined | PaymentSentMessage

- #### Returns undefined | PaymentSentMessage

  - Defined in src/protobuf/pb_pb.d.ts:159

### getPing

- getPing(): undefined | Ping

- #### Returns undefined | Ping

  - Defined in src/protobuf/pb_pb.d.ts:34

### getPong

- getPong(): undefined | Pong

- #### Returns undefined | Pong

  - Defined in src/protobuf/pb_pb.d.ts:39

### getPrefixedSealedAndSignedMessage

- getPrefixedSealedAndSignedMessage(): undefined | PrefixedSealedAndSignedMessage

- #### Returns undefined | PrefixedSealedAndSignedMessage

  - Defined in src/protobuf/pb_pb.d.ts:79

### getPreliminaryGetDataRequest

- getPreliminaryGetDataRequest(): undefined | PreliminaryGetDataRequest

- #### Returns undefined | PreliminaryGetDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:9

### getPrivateNotificationMessage

- getPrivateNotificationMessage(): undefined | PrivateNotificationMessage

- #### Returns undefined | PrivateNotificationMessage

  - Defined in src/protobuf/pb_pb.d.ts:84

### getRefreshOfferMessage

- getRefreshOfferMessage(): undefined | RefreshOfferMessage

- #### Returns undefined | RefreshOfferMessage

  - Defined in src/protobuf/pb_pb.d.ts:54

### getRemoveDataMessage

- getRemoveDataMessage(): undefined | RemoveDataMessage

- #### Returns undefined | RemoveDataMessage

  - Defined in src/protobuf/pb_pb.d.ts:64

### getRemoveMailboxDataMessage

- getRemoveMailboxDataMessage(): undefined | RemoveMailboxDataMessage

- #### Returns undefined | RemoveMailboxDataMessage

  - Defined in src/protobuf/pb_pb.d.ts:69

### getSignContractRequest

- getSignContractRequest(): undefined | SignContractRequest

- #### Returns undefined | SignContractRequest

  - Defined in src/protobuf/pb_pb.d.ts:134

### getSignContractResponse

- getSignContractResponse(): undefined | SignContractResponse

- #### Returns undefined | SignContractResponse

  - Defined in src/protobuf/pb_pb.d.ts:139

### getSignOfferRequest

- getSignOfferRequest(): undefined | SignOfferRequest

- #### Returns undefined | SignOfferRequest

  - Defined in src/protobuf/pb_pb.d.ts:114

### getSignOfferResponse

- getSignOfferResponse(): undefined | SignOfferResponse

- #### Returns undefined | SignOfferResponse

  - Defined in src/protobuf/pb_pb.d.ts:119

### hasAckMessage

- hasAckMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:96

### hasAddDataMessage

- hasAddDataMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:61

### hasAddPersistableNetworkPayloadMessage

- hasAddPersistableNetworkPayloadMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:91

### hasBundleOfEnvelopes

- hasBundleOfEnvelopes(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:101

### hasChatMessage

- hasChatMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:181

### hasCloseConnectionMessage

- hasCloseConnectionMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:76

### hasDepositRequest

- hasDepositRequest(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:146

### hasDepositResponse

- hasDepositResponse(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:151

### hasDepositsConfirmedMessage

- hasDepositsConfirmedMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:156

### hasDisputeClosedMessage

- hasDisputeClosedMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:176

### hasDisputeOpenedMessage

- hasDisputeOpenedMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:171

### hasFileTransferPart

- hasFileTransferPart(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:196

### hasGetDataResponse

- hasGetDataResponse(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:16

### hasGetInventoryRequest

- hasGetInventoryRequest(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:106

### hasGetInventoryResponse

- hasGetInventoryResponse(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:111

### hasGetPeersRequest

- hasGetPeersRequest(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:26

### hasGetPeersResponse

- hasGetPeersResponse(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:31

### hasGetUpdatedDataRequest

- hasGetUpdatedDataRequest(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:21

### hasInitMultisigRequest

- hasInitMultisigRequest(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:131

### hasInitTradeRequest

- hasInitTradeRequest(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:126

### hasMediatedPayoutTxPublishedMessage

- hasMediatedPayoutTxPublishedMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:191

### hasMediatedPayoutTxSignatureMessage

- hasMediatedPayoutTxSignatureMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:186

### hasOfferAvailabilityRequest

- hasOfferAvailabilityRequest(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:46

### hasOfferAvailabilityResponse

- hasOfferAvailabilityResponse(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:51

### hasPaymentReceivedMessage

- hasPaymentReceivedMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:166

### hasPaymentSentMessage

- hasPaymentSentMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:161

### hasPing

- hasPing(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:36

### hasPong

- hasPong(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:41

### hasPrefixedSealedAndSignedMessage

- hasPrefixedSealedAndSignedMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:81

### hasPreliminaryGetDataRequest

- hasPreliminaryGetDataRequest(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:11

### hasPrivateNotificationMessage

- hasPrivateNotificationMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:86

### hasRefreshOfferMessage

- hasRefreshOfferMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:56

### hasRemoveDataMessage

- hasRemoveDataMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:66

### hasRemoveMailboxDataMessage

- hasRemoveMailboxDataMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:71

### hasSignContractRequest

- hasSignContractRequest(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:136

### hasSignContractResponse

- hasSignContractResponse(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:141

### hasSignOfferRequest

- hasSignOfferRequest(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:116

### hasSignOfferResponse

- hasSignOfferResponse(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:121

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:201

### setAckMessage

- setAckMessage(value?: AckMessage): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: AckMessage

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:95

### setAddDataMessage

- setAddDataMessage(value?: AddDataMessage): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: AddDataMessage

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:60

### setAddPersistableNetworkPayloadMessage

- setAddPersistableNetworkPayloadMessage(value?: AddPersistableNetworkPayloadMessage): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: AddPersistableNetworkPayloadMessage

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:90

### setBundleOfEnvelopes

- setBundleOfEnvelopes(value?: BundleOfEnvelopes): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: BundleOfEnvelopes

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:100

### setChatMessage

- setChatMessage(value?: ChatMessage): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: ChatMessage

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:180

### setCloseConnectionMessage

- setCloseConnectionMessage(value?: CloseConnectionMessage): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: CloseConnectionMessage

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:75

### setDepositRequest

- setDepositRequest(value?: DepositRequest): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: DepositRequest

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:145

### setDepositResponse

- setDepositResponse(value?: DepositResponse): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: DepositResponse

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:150

### setDepositsConfirmedMessage

- setDepositsConfirmedMessage(value?: DepositsConfirmedMessage): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: DepositsConfirmedMessage

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:155

### setDisputeClosedMessage

- setDisputeClosedMessage(value?: DisputeClosedMessage): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: DisputeClosedMessage

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:175

### setDisputeOpenedMessage

- setDisputeOpenedMessage(value?: DisputeOpenedMessage): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: DisputeOpenedMessage

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:170

### setFileTransferPart

- setFileTransferPart(value?: FileTransferPart): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: FileTransferPart

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:195

### setGetDataResponse

- setGetDataResponse(value?: GetDataResponse): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: GetDataResponse

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:15

### setGetInventoryRequest

- setGetInventoryRequest(value?: GetInventoryRequest): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: GetInventoryRequest

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:105

### setGetInventoryResponse

- setGetInventoryResponse(value?: GetInventoryResponse): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: GetInventoryResponse

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:110

### setGetPeersRequest

- setGetPeersRequest(value?: GetPeersRequest): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: GetPeersRequest

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:25

### setGetPeersResponse

- setGetPeersResponse(value?: GetPeersResponse): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: GetPeersResponse

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:30

### setGetUpdatedDataRequest

- setGetUpdatedDataRequest(value?: GetUpdatedDataRequest): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: GetUpdatedDataRequest

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:20

### setInitMultisigRequest

- setInitMultisigRequest(value?: InitMultisigRequest): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: InitMultisigRequest

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:130

### setInitTradeRequest

- setInitTradeRequest(value?: InitTradeRequest): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: InitTradeRequest

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:125

### setMediatedPayoutTxPublishedMessage

- setMediatedPayoutTxPublishedMessage(value?: MediatedPayoutTxPublishedMessage): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: MediatedPayoutTxPublishedMessage

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:190

### setMediatedPayoutTxSignatureMessage

- setMediatedPayoutTxSignatureMessage(value?: MediatedPayoutTxSignatureMessage): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: MediatedPayoutTxSignatureMessage

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:185

### setMessageVersion

- setMessageVersion(value: string): NetworkEnvelope

- #### Parameters

  - ##### value: string

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:7

### setOfferAvailabilityRequest

- setOfferAvailabilityRequest(value?: OfferAvailabilityRequest): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: OfferAvailabilityRequest

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:45

### setOfferAvailabilityResponse

- setOfferAvailabilityResponse(value?: OfferAvailabilityResponse): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: OfferAvailabilityResponse

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:50

### setPaymentReceivedMessage

- setPaymentReceivedMessage(value?: PaymentReceivedMessage): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: PaymentReceivedMessage

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:165

### setPaymentSentMessage

- setPaymentSentMessage(value?: PaymentSentMessage): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: PaymentSentMessage

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:160

### setPing

- setPing(value?: Ping): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: Ping

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:35

### setPong

- setPong(value?: Pong): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: Pong

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:40

### setPrefixedSealedAndSignedMessage

- setPrefixedSealedAndSignedMessage(value?: PrefixedSealedAndSignedMessage): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: PrefixedSealedAndSignedMessage

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:80

### setPreliminaryGetDataRequest

- setPreliminaryGetDataRequest(value?: PreliminaryGetDataRequest): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: PreliminaryGetDataRequest

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:10

### setPrivateNotificationMessage

- setPrivateNotificationMessage(value?: PrivateNotificationMessage): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: PrivateNotificationMessage

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:85

### setRefreshOfferMessage

- setRefreshOfferMessage(value?: RefreshOfferMessage): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: RefreshOfferMessage

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:55

### setRemoveDataMessage

- setRemoveDataMessage(value?: RemoveDataMessage): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: RemoveDataMessage

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:65

### setRemoveMailboxDataMessage

- setRemoveMailboxDataMessage(value?: RemoveMailboxDataMessage): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: RemoveMailboxDataMessage

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:70

### setSignContractRequest

- setSignContractRequest(value?: SignContractRequest): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: SignContractRequest

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:135

### setSignContractResponse

- setSignContractResponse(value?: SignContractResponse): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: SignContractResponse

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:140

### setSignOfferRequest

- setSignOfferRequest(value?: SignOfferRequest): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: SignOfferRequest

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:115

### setSignOfferResponse

- setSignOfferResponse(value?: SignOfferResponse): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: SignOfferResponse

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:120

### toObject

- toObject(includeInstance?: boolean): NetworkEnvelope.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns NetworkEnvelope.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:202

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): NetworkEnvelope

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:205

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: NetworkEnvelope, reader: BinaryReader): NetworkEnvelope

- #### Parameters

  - ##### message: NetworkEnvelope

  - ##### reader: BinaryReader

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:206

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: NetworkEnvelope, writer: BinaryWriter): void

- #### Parameters

  - ##### message: NetworkEnvelope

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:204

### `Static` toObject

- toObject(includeInstance: boolean, msg: NetworkEnvelope): NetworkEnvelope.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: NetworkEnvelope

  #### Returns NetworkEnvelope.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:203

Generated using TypeDoc